export const DOOR_TYPE={
  STORE:{
    VALUE:1,
    LABEL:'临街店铺'
  },
  HOUSE:{
    VALUE:2,
    LABEL:'住宅'
  },
  OFFICE:{
    VALUE:3,
    LABEL:'写字楼'
  },
  ENTERPRISE:{
    VALUE:4,
    LABEL:'企业'
  }
}

// 绑定状态枚举
export const DOOR_BIND_STATUS={
 WAIT:{
  LABEL:'待绑定',
  VALUE:0
 },
 BINDED:{
  LABEL:'已绑定',
  VALUE:1
 },
 NOT_ALLOW:{
  LABEL:'门牌信息不全,暂时无法绑定',
  VALUE:2
 },
 SUBMITTED:{
  LABEL: '用户已提交户主信息申请',
  VALUE: 3
 },
}

export const DOOR_PLATE_INFO='doorplateInfo';
export const USER_INFO='userInfo';

export const JUMP_TYPE={
  H5:{
    LABEL:'跳转H5',
    VALUE:'H5'
  },
  WX_APP:{
    LABEL:'跳转微信小程序',
    VALUE:'wxApp'
  },
  ZFB_APP:{
    LABEL:'跳转支付宝小程序',
    VALUE:'zfbApp'
  },
  WX_INSIDE:{
    LABEL:'跳转小程序内部页面',
    VALUE:'wxInside'
  },
  MAP:{
    LABEL:'跳转地图服务',
    VALUE:'map'
  },
  INSIDE:{
      LABEL:'内部跳转',
      VALUE:'INSIDE'
  }
}

export const MAP_POINT_TYPE=[
  {
    label:'核酸检测',
    iconPath:'/static/images/common/point_hsjc.png',
    iconPathSelected:'/static/images/common/point_hsjc_selected.png',
  },{
    label:'搬家公司',
    iconPath:'/static/images/common/point_bjgs.png',
    iconPathSelected:'/static/images/common/point_bjgs_selected.png'
  },{
    label:'物流速递',
    iconPath:'/static/images/common/point_wlsd.png',
    iconPathSelected:'/static/images/common/point_wlsd_selected.png'
  },{
    label:'维修站点',
    iconPath:'/static/images/common/point_wxzd.png',
    iconPathSelected:'/static/images/common/point_wxzd_selected.png'
  },{
    label:'文物古迹',
    iconPath:'/static/images/common/point_wwgj.png',
    iconPathSelected:'/static/images/common/point_wwgj_selected.png'
  },{
    label:'超市',
    iconPath:'/static/images/common/point_cs.png',
    iconPathSelected:'/static/images/common/point_cs_selected.png'
  },{
    label:'美食',
    iconPath:'/static/images/common/point_ms.png',
    iconPathSelected:'/static/images/common/point_ms_selected.png'
  },{
    label:'加油站',
    iconPath:'/static/images/common/point_jyz.png',
    iconPathSelected:'/static/images/common/point_jyz_selected.png'
  },{
    label:'酒店',
    iconPath:'/static/images/common/point_jd.png',
    iconPathSelected:'/static/images/common/point_jd_selected.png'
  },{
    label:'学校',
    iconPath:'/static/images/common/point_xx.png',
    iconPathSelected:'/static/images/common/point_xx_selected.png'
  },{
    label:'医院',
    iconPath:'/static/images/common/point_yy.png',
    iconPathSelected:'/static/images/common/point_yy_selected.png'
  }
]


// 房屋租赁相关字典
export const FWZL_DIC = {
  '出租要求': 'fwzlRequirement',
  '房屋配置': 'fwzlConfig',
  '装修情况': 'fwzlDecoration',
  '房屋朝向': 'fwzlOrientation',
  '租金结付类型': 'fwzlCostType',
  '租金包含费用': 'fwzlCostInclude',
  '看房时间': 'fwzlLookPeriod',
  '房屋亮点': 'fwzlLightspot'
}
