const path = require('path');
module.exports = {
  pages: {
    index: {
      entry: "src/main.js",
    },
  },
  lintOnSave: false,
  configureWebpack: {
    resolve: {
      alias: {
        '@': path.join(__dirname, 'src')
      },
    },
  },
  transpileDependencies:['@dcloudio/uni-ui'],
  devServer: {
    // open: process.platform === 'darwin',
    // 启动服务的ip和端口 localhost能自动启动本机ip host: '0.0.0.0'
    host: '0.0.0.0',
    port: 8888,
    proxy: {
      '/ws/geocoder': {
        target: 'https://apis.map.qq.com',
        changeOrigin: true,
      }
    },
  },
}
